Identify a user
curl --request POST \
--url https://console.cloud.timescale.com/public/api/v1/analytics/identify \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"properties": {
"email": "user@example.com",
"name": "John Doe"
}
}
'import requests
url = "https://console.cloud.timescale.com/public/api/v1/analytics/identify"
payload = { "properties": {
"email": "user@example.com",
"name": "John Doe"
} }
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({properties: {email: 'user@example.com', name: 'John Doe'}})
};
fetch('https://console.cloud.timescale.com/public/api/v1/analytics/identify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success"
}{
"code": "<string>",
"message": "<string>"
}Identify a user
Identifies a user with optional properties for analytics tracking.
POST
/
analytics
/
identify
Identify a user
Authorizations
HTTP Basic Authentication using your Tiger Cloud public key and secret key.
Format: Authorization: Basic <base64(public_key:secret_key)>
Example:
curl -X GET "https://console.cloud.timescale.com/public/api/v1/projects/{project_id}/services" \
-H "Authorization: Basic $(echo -n 'your_public_key:your_secret_key' | base64)"
Body
application/json
Optional map of arbitrary properties associated with the user
Example:
{
"email": "user@example.com",
"name": "John Doe"
}
Response
Analytics action completed successfully.
Status of the analytics operation
Example:
"success"